/* Vertex shader for per-pixel color interpolation */

/* A pass-through shader that assigns the vertex color
   to a global varying 4-vector for color.  This color
   will be interpolated through every pixel in the object
   before it gets to the fragment program. */

varying vec4 color_out;

void main(void)
{
	/* we still need to assign a position and color for 
 	   the vertex.  By overriding the standard GL pipeline,
 	   GL no longer does this for us by default. 
	*/
	gl_Position = gl_ModelViewProjectionMatrix*gl_Vertex;
	color_out = gl_Color;
}

